import 'package:hyperkyc_flutter/hyperkyc_flutter_constants.dart';

/// CountryResult
class CountryResult {
  /// moduleId for which this countryResult belongs to
  final String? moduleId;

  /// Selected country id
  final String? id;

  /// Selected country name
  final String? name;

  /// Selected country region
  final String? region;

  /// Selected country baseUrl
  final String? baseUrl;

  /// Selected country variables
  // final String? variables;

  /// Constructor
  CountryResult({
    this.moduleId,
    this.id,
    this.name,
    this.region,
    this.baseUrl,
    // this.variables,
  });

  /// Convert CountryResult object to Map
  Map<String, dynamic> toMap() {
    return {
      HyperKycConstants.moduleId: this.moduleId,
      HyperKycConstants.countryId: this.id,
      HyperKycConstants.countryName: this.name,
      HyperKycConstants.region: this.region,
      HyperKycConstants.baseUrl: this.baseUrl,
      // HyperKycConstants.variables: this.variables,
    };
  }

  /// Convert Map to CountryResult object
  factory CountryResult.fromMap(Map<dynamic, dynamic> map) {
    if (map.isEmpty) {
      return CountryResult();
    }
    return CountryResult(
      moduleId: map[HyperKycConstants.moduleId] as String?,
      id: map[HyperKycConstants.countryId] as String?,
      name: map[HyperKycConstants.countryName] as String?,
      region: map[HyperKycConstants.region] as String?,
      baseUrl: map[HyperKycConstants.baseUrl] as String?,
      // variables: map[HyperKycConstants.variables] as String?,
    );
  }

  /// Overriden toString() method
  @override
  String toString() {
    return 'CountryResult{moduleId: $moduleId, id: $id, name: $name, region: $region, baseUrl: $baseUrl}';
  }
}
