import 'package:hyperkyc_flutter/hyperkyc_flutter_constants.dart';

/// FormResult
class FormResult {
  /// moduleId for which this formResult belongs to
  final String? moduleId;

  /// Constructor
  FormResult({
    this.moduleId,
  });

  /// Convert FormResult object to Map
  Map<String, dynamic> toMap() {
    return {
      HyperKycConstants.moduleId: this.moduleId,
    };
  }

  /// Convert Map to FormResult object
  factory FormResult.fromMap(Map<dynamic, dynamic> map) {
    if (map.isEmpty) {
      return FormResult();
    }
    return FormResult(
      moduleId: map[HyperKycConstants.moduleId] as String?,
    );
  }

  /// Overriden toString() method
  @override
  String toString() {
    return 'FormResult{moduleId: $moduleId}';
  }
}
